# ---------------------------
# Distribution workflow
# ---------------------------

include:
  # https://computing.docs.ligo.org/gitlab-ci-templates/
  - project: computing/gitlab-ci-templates
    # https://computing.docs.ligo.org/gitlab-ci-templates/python/
    file: python.yml

# -- dist -------------------
#
# This job makes the python-pmdc-X.Y.Z.tar.gz
# distribution and uploads it as a job
# artifact
#

tarball:
  extends:
    # https://computing.docs.ligo.org/gitlab-ci-templates/python/#.python:build
    - .python:build
  image: python:2
  stage: Source distribution
  before_script:
    - python2 -m pip install
          setuptools
  script:
    - python2 setup.py
          sdist --dist-dir .
